Issue 121761 - [ia2] Writer crashes on exit with an msvcrt runtime error
Summary: [ia2] Writer crashes on exit with an msvcrt runtime error
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 4.0.0
Hardware: PC Windows 7
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: Steve Yin
QA Contact: zhaoshzh
URL:
Keywords:
Depends on:
Blocks: winA11y
  Show dependency tree
 
Reported: 2013-02-12 23:43 UTC by James Teh
Modified: 2014-04-03 07:41 UTC (History)
6 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description James Teh 2013-02-12 23:43:20 UTC

    
Comment 1 James Teh 2013-02-12 23:57:48 UTC
Sorry. I accidentally pressed enter in the wrong window. :(

Str:
1. Open Writer with NVDA running.
2. Press alt+f4.
Expected: Writer shoul dexit gracefully.
Actual: The following dialog is displayed:
---------------------------
Microsoft Visual C++ Runtime Library
---------------------------
Runtime Error!

Program: C:\...

R6025

- pure virtual function call


---------------------------
OK   
---------------------------
Once this dialog is dismissed, a Windows application error (werfault) dialog appears.
Comment 2 V Stuart Foote 2013-02-13 04:42:35 UTC
Confirming...

With accessibility enabled/active, i.e. NVDA screen reader is active, entering an "<alt> F4" to close a Write session will cause the error noted. Occurs with or without text entered in body.

It happens on both Steve Y's and Ariel C-H's 5 Feb builds of r1441343--and also on the latest buildbot build, also r1441343. So probably not simply a compile setting.

Note that it does not crash on "<alt> F4" key when IAccessibile2 is inactive, i.e. NVDA screen reader closed.

Stuart
Comment 3 Oliver-Rainer Wittmann 2013-06-14 12:00:26 UTC
not a show stopper for AOO 4.0, but for IA2 integration as already marked by blocking bug 121767
Comment 4 V Stuart Foote 2013-11-12 20:16:53 UTC
On Windows 7 sp1 64-bit with build with NVDA 2013.2 active
AOO410m1(Build:9750)  -  Rev. 1540658
Rev.1540658

Setting resolved fixed, behavior no longer present.
Comment 5 James Teh 2013-11-13 04:51:04 UTC
I can still reproduce this with the same build. Same exact str: open Writer with NVDA running, press alt+f4.

Note that changing the steps slightly (even though they might seem the same) might not trigger the bug. For example, opening Writer and selecting Exit from the File menu does not cause the crash. Similarly, opening Calc, closing the spreadsheet, creating a new text document and then pressing alt+f4 does not cause the crash.
Comment 6 V Stuart Foote 2013-11-13 13:37:02 UTC
@Jamie, yes sorry. Concur that it is still occurring. I guess I had done other things in the OpenOffice session prior to testing a Alt-<F4> close of Writer.

When AOO is initially opened, and Writer document selected--closing Writer with Alt-<F4> results in error noted.  Same if the AOO lauch of writer is done from start menu.
Comment 7 SVN Robot 2013-12-04 10:12:41 UTC
"steve_y" committed SVN revision 1547747 into trunk:
i121761 - [ia2] Writer crashes on exit with an msvcrt runtime error
Comment 8 V Stuart Foote 2013-12-05 16:26:07 UTC
On Windows 7 sp1, 64-bit with /A Administrative install of

AOO410m1(Build:9750)  -  Rev. 1547747
Rev.1547747

Confirm the issue is resolved fixed with this rev as can no longer reproduce.
Comment 9 zhaoshzh 2014-02-27 03:03:26 UTC
verified on AOO410m1(build:9750) - rev:1566593
Comment 10 fanyuzhen 2014-02-27 10:39:49 UTC
Change status per Shao Zhi Zhao's comment 9